	set more off, perm
	global pathdofiles "C:\Users\Public\Documents\Dofiles"

	do ${pathdofiles}\000_Globals.do
	
forval a=2009/2017 {
	forvalues m=1/4 {

	if `a'>=2009 & `a'<=2011 | `a'==2014 | `a'==2016  | `a'==2017 {
		use ${pathprogLFS`a'pr}\EC`a'_`m'.dta, clear
		}

	if `a'>=2012 & `a'<=2013 | `a'==2015 {
		use ${pathprogLFS`a'pr}\EC`a'_`m'_temp.dta, clear
		}
						
		di `a' 
		di `m'
        rename annee year
		destring year, replace
	   	levelsof year, local(year)

   cap destring nbenf*, replace
   
   if `year' < 2013 { 
	destring  naf4n atrav eqprc tuu, replace
	}
	if `year' >= 2013 { 
	destring astc  achpub cdipscda nafg004pn cqprcr cqprcu eqprcr eqprcu, replace
	}
   
   	global destring   qprc     nbsalb nbsala salred // salmee
   foreach var in $destring {
	 di `var'
	destring `var', replace
			}
	if `year' < 2013 { 		
	global change  CAC 	        CHI 	        DEC 	        INF 	        ING 	        INT 	        MEM 	        PEI 	        POW 	        SAP 

	foreach c in $change {
	 replace codmpa="" if codmpa=="`c'"
		}
	replace codmpa="" if codmpa=="ADM" |  codmpa=="CON" | codmpa=="DEP" | codmpa=="HTM" | codmpa =="MAI" | ///
	codmpa=="ORA" | codmpa=="PAR" | codmpa=="REM" | codmpa=="RES" |  codmpa=="WOR" 
	
	destring codmpa, replace
	}
	 
	 
	
	gen urban=.
		   if `year' < 2013 { 
	destring tuu, replace
	 replace urban=tuu
	}
		   if `year' >= 2013 { 
		replace urban=(typuu2010=="U")
	}
	
	gen speff=.
		   if `year' < 2013 { 
	 replace speff=codmpa
	}
		   if `year' >= 2013 { 
		replace speff=cdipscda
	}
	
	   if `year' < 2013 { 
	   forvalues j=1/3 {
			 gen rc1rev`j'=substr(rc1rev, `j', 1) 
			 destring rc1rev`j', replace
			}
		}
		
	gen secteur=""
		   if `year' < 2013 { 
	 replace secteur=naf10n
	}
		   if `year' >= 2013 { 
		replace secteur= nafg010n
	}
	
	if `year' >= 2013 { 
	replace valpre="" if valpre=="9999998"
	replace valpre="" if valpre=="9999999"
	}
	destring valpre, replace
	
	  if `year' < 2013 {
		 foreach r in efet efen {
		 replace `r'=trim(`r')
		 replace `r'="" if `r'=="N" | `r'=="O" | `r'=="NN"
			 destring `r', replace
			 gen tr`r'=""
			 replace tr`r'="00" if `r'==0
			 replace tr`r'="01" if `r'>=1 & `r'<=2
			 replace tr`r'="02" if `r'>=3 & `r'<=5
			 replace tr`r'="03" if `r'>=6 & `r'<=9
			 replace tr`r'="11" if `r'>=10 & `r'<=19
			 replace tr`r'="12" if `r'>=20 & `r'<=49
			 replace tr`r'="21" if `r'>=50 & `r'<=99
			 replace tr`r'="22" if `r'>=100 & `r'<=199
			 replace tr`r'="31" if `r'>=200 & `r'<=249
			 replace tr`r'="32" if `r'>=250 & `r'<=499
			 replace tr`r'="41" if `r'>=500 & `r'<=999
			 replace tr`r'="42" if `r'>=1000 & `r'<=1999
			 replace tr`r'="51" if `r'>=2000 & `r'<=4999
			 replace tr`r'="52" if `r'>=5000 & `r'<=9999
			 replace tr`r'="53" if `r'>=10000 & `r'!=.
			destring tr`r', replace
			}
		}
		 
	if `year' >= 2013 {
	foreach r in trefet trefen {
	replace `r'="" if `r'=="N" | `r'=="O" | `r'=="NN"
	destring `r', replace
	}
	}
	
	

	/*if `year' < 2013 { 
	di "nbsala"
	    replace nbsala=4 if inlist(nbsala,4,5) 
	    replace nbsala=5 if inlist(nbsala,6,7)
	    replace nbsala=6 if inlist(nbsala,8,9)

		}
	 if `year' >= 2013 { 
	    replace nbsala=2 if inlist(nbsala,1,2,3,4)
	    replace nbsala=3 if inlist(nbsala,5,6,7,8,9)
		replace nbsala=4 if nbsala==10
		replace nbsala=5 if nbsala==11 
		 replace nbsala=6 if nbsala==12
		 replace nbsala=1 if nbsala==. 

		}

	if `year' < 2013 { 
	di "nbsalb"
	    replace nbsalb=4 if inlist(nbsalb,4,5) 
	    replace nbsalb=5 if inlist(nbsalb,6,7)
	    replace nbsalb=6 if inlist(nbsalb,8,9) 
		replace nbsalb=. if nbsalb==1 
		}
	 if `year' >= 2013 { 
	    replace nbsalb=2 if inlist(nbsalb,1,2,3,4)
	    replace nbsalb=3 if inlist(nbsalb,5,6,7,8,9)
		replace nbsalb=4 if nbsalb==10
		replace nbsalb=5 if nbsalb==11 
		 replace nbsalb=6 if nbsalb==12
		}
	*/
	   gen toccup=.
	   	if `year' < 2013 { 
	   replace toccup= 1 if (qprc==1) 
	   replace toccup= 2 if (qprc==2) 
	   replace toccup= 3 if (qprc==3) 
	   replace toccup= 4 if (qprc==4) 
	   replace toccup= 5 if (qprc==5) 
	   replace toccup= 6 if (qprc==7) 
	   replace toccup= 7 if (qprc==8) 
		}

		if `year' >= 2013 { 
	   replace toccup= 1 if (qprc==1)    	               
	   replace toccup= 2 if  (qprc==2) 	              
	   replace toccup= 3 if (qprc==3) 
	   replace toccup= 4 if (qprc==4) 
	   replace toccup= 5 if (qprc==5) 
	   replace toccup= 6 if  (qprc==6) 
	   replace toccup= 7 if  (qprc==7) 
	   }

	   gen etoccup=.
	   if `year' < 2013 { 
	    replace etoccup= 1 if  eqprc==1
	    replace etoccup= 2 if  eqprc==2 
	    replace etoccup= 3 if  eqprc==3 
	    replace etoccup= 4 if  eqprc==4
	    replace etoccup= 5 if  eqprc==5 
	    replace etoccup= 6 if  eqprc==7  
	    replace etoccup= 7 if  eqprc==8 
		}

	   	if `year' >= 2013 {
	   	replace etoccup= 1 if eqprcr==1  |   cqprcu==6 |   eqprcu==1 
		replace etoccup= 2 if  eqprcr==2 |   eqprcu==2 
	    replace etoccup= 3 if  eqprcr==3 |  eqprcu==3 
	    replace etoccup= 4 if  eqprcr==7 |   cqprcu==4 
	    replace etoccup= 5 if eqprcr==4  |   eqprcu==5 
	    replace etoccup= 6 if  eqprcr==5  |  eqprcu==6 
	    replace etoccup= 7 if  eqprcr==6
		}
	   
	   
	   gen atrav2=.
	   	 if `year' < 2013 {
	   replace atrav2 = atrav 
	   }
	   	 if `year' >= 2013 {
	    replace atrav2=1 if  astc==1
	    replace atrav2=2 if  astc==4
	    replace atrav2=3 if  astc==3 & inlist(achpub,3,4,5)
	    replace atrav2=4 if  astc==3 & achpub==7
	    replace atrav2=5 if  astc==2 
	   }
	   
	   destring chpub,  replace
	   gen chpub_2=.
	   	   	 if `year' < 2013 {
	   replace chpub_2=1 if chpub==1 
	   replace chpub_2=2 if chpub==2
	   replace chpub_2=3 if chpub==3 
	   replace chpub_2=4 if chpub==4 
	   replace chpub_2=5 if chpub==5 
	   replace chpub_2=6 if chpub==6 
	   replace chpub_2=7 if chpub==6 
	   }

	   	  if `year' >= 2013 {
	   replace chpub_2=1 if chpub==3 
	   replace chpub_2=2 if chpub==4
	   replace chpub_2=3 if chpub==5 
	   replace chpub_2=4 if chpub==7 
	   replace chpub_2=5 if chpub==2 
	   replace chpub_2=6 if chpub==1 
	   replace chpub_2=7 if chpub==6 
		}
	   
	 destring ddipl, replace force
	 destring contra, replace
	 gen contra2=.
	 	  if `year' < 2013 {
	 replace contra2=contra
	 replace contra2=0 if  contra==.
	}
		  if `year' >= 2013 {
	replace contra2=contra 
	}
	
	 gen txtpp2=.
	 	if `year' < 2013 {
			destring txtppb, replace
			replace txtpp2=txtppb
			}
		if `year' >= 2013 {
			destring txtppred, replace
			replace txtpp2=txtppred
			}
	
	 gen raistp2=.
	 if `year' < 2013 {
	 destring raistp, replace
	 replace raistp2=1 if raistp==3 
	 replace raistp2=2 if raistp==1 
	 replace raistp2=3 if  raistp==2 
	 replace raistp2=4 if  raistp==4 
	 replace raistp2=5 if  raistp==5 
     replace raistp2=6 if  raistp==6 
		}
	 
	 if `year' >= 2013 {
	 destring raistf , replace
	 destring raistp, replace
	 replace raistp2=1 if raistp==1 
	 replace raistp2=2 if inlist(raistp, 2,3) 
	 replace raistp2=3 if (raistf==1 & raistp==5 ) 
	 replace raistp2=4 if ( raistf==2  & raistp==5 )  
	 replace raistp2=5 if inlist(raistf, 3,4)  & raistp==5  
     replace raistp2=6 if (raistf==5 & raistp==5 ) 
		}
	
	
	 if `year' >= 2013 {
	 forval d=1/9 {
		rename noienf0`d' noienf`d'
		}
	 }
	 
	 gen hw2=.
	 if `year' < 2013 {
	destring hh2, replace
	replace hw2= hh2 	// !!! hh2 moyen heures
		}
	 if `year' >= 2013 {
	destring emp2nbh, replace
	replace hw2= emp2nbh 	// !!! emp2nbh semaine de reference
	 }
	 	
     gen qprcant2=.
	 	 if `year' < 2013 {
	destring apoti, replace
	 replace qprcant2=apoti 
	 replace qprcant2=6 if apoti==7
	 replace qprcant2=7 if apoti==8
	 replace qprcant2=8 if apoti==9 
}
	 	 if `year' >= 2013 {
	destring qprcant, replace
	replace qprcant2=qprcant 
		 }
	 
	
	if `year' < 2013 {
	gen nbtot=.
	destring hhc hhs1 hhs2 hhs3, replace
	replace nbtot=hhc+hhs1+hhs2+hhs3 
		 }
	
	   if `year' >= 2013 {
	    rename acteu6 acteu_6
	    rename cite97 cite_97
	    rename nat28 nat_28
	    rename hhc6 hhc_6
		rename cjrf cjur 
		}
		
		if `year' >= 2013 & `year'< 2016 {
		local g =`a'-1999
		rename extrilog`g' extrilog
	    rename extri`g' extri 
	    rename extrid`g' extrid 
	    rename extridf`g' extridf
		}
	   
	   if `year'< 2013 {
	    rename hatyear datdip 
	    rename acteu6 acteu_6
		rename ancprofm ancentr 
		rename ancinacm ancinatm 
	    rename cite97 cite_97
	    rename nat28 nat_28
	    rename hhc6 hhc_6
		rename csa6 csa 
	    rename codpav25 csep 
	    rename c142145 hatyear 
	    rename decr raisnrec 
	    rename pondordi extri
	    rename pondordi1 extrid
	    rename pondordi16 extridf
	    rename aactetn nafant
	    rename nbenf18a nbenfa18
	    rename nbenf6a nbenfa6
	    rename nbenf3a nbenfa3
	    rename codpcl p
	    rename codpav pav
	    rename cmois sp00
	    rename cmun sp01
	    rename cmde sp02
	    rename cmtr sp03 
	    rename cmqu sp04
	    rename cmci sp05
	    rename cmsi sp06
	    rename cmse sp07
	    rename cmhu sp08
	    rename cmne sp09
	    rename cmdi sp10
	    rename cmon sp11
	    rename anp1a inscont 
	    rename ap03a chgtpost
	    rename samedc samedic
	    rename lprma lprm 

		}
		
		foreach var in acteu_6 duhab hhc_6 tppred {
		cap destring `var', replace
		}

	  	   if `year' >= 2013 {
		   destring rc1rev1 rc1rev2 rc1rev2 hhc nbtot ancinatm ancentr , replace force
		   }

	   
	   *** LABELS **
	label var age "Age"
	label var acteu_6 "Labor market status"
	label define acteu_6 1 "Active occ." 3 "PSERE Unemployed" 4 "ILO Unemployed" 5 "Student" 6 "Inactive", replace
	label values acteu_6 acteu_6
	  
	label var ancentr "Job Tenure"
	label var ancinatm "Inactivity duration"
	label var qprcant2 "Former occupation category" 
	/// categorie de la profession anterieure
	label var atrav2 "Former employment type" 
	/// type d'emploi anterieur
	  
	label var chpub_2 "Type of Employer" 
	/// nature du premier employeur
	label define chpub_2 1 "Central Governement" 2 "Local administration" ///
	   3 "Public hospitals" 4 "Private employer" 5 "Public company" ///
	   6 "Private company" 7 "Social security", replace
	label values chpub_2 chpub_2
	
	label var cite_97 "Highest educational level (UNESCO)"
	label var ddipl "Highest degree"
	label define ddipl 1 "Tertiary education" 3 "Two years college" 4 "A-level" ///
	5 "Professional high school" 6 "Lower secondary education" 7 "No degree", replace
	label values ddipl ddipl
	
	label var cjur "Employer type"
	label var contra "Contract"
	label define contra 0 "None" 1 "Long term contract" 2 "Short term contract" ///
	3 "Seasonal contract" 4 "Temporary work" 5 "Apprenticeship"
	label values contra
	label var csa "Socio-professional category - Inactive and unemployed" 
	label var cse "Socio-professional category - Active" 
	label var csep "Socio-professional category - one year ago" 
	label var damois "First month in the company"
	label var datant "First year in the company"
	label var datdip "Year when highest education level was obtained"
	label var debdeta "Year when contract started"
	label var debdetm "First month of contract"
	*label var raisnrec ""
	label var dep "Province"
	 if `year'< 2013 {
	label var edep "Province - year before"
	label var extri "Individual Weight"
	label var extrid "Individual Weight first wave variables"
	label var extridf "Individual Weight first and last waves variables"
	}
	 if `year'>= 2013 {
	label var gardea "Reasons for part-time work - family"
	label var gardeb "Reasons for inactivity - family"
	label var nbenfa15 "\# of children under 15"
	label var nbenfa10 "\# of children under 10"
	label var nbenfa6 "\# of children under 6"
	label var nbenfa3 "\# of children under 3"
	 label var nbenfa1 "\# of children under 1"
	*label var nbenf18ma "\# of children under 18m"
	}
	label var immi "Migrant"
	label var matri "Matrimonial status"
	label var nafant "Economic sector - previous job"
	label var naia "Year of birth"
	label var nat_28 "Nationality"
	label var nbenfa18 "\# of children under 18"
	lab var nbsalb "number of employees in the company"
	lab var p "occupation code"
	if `year'>= 2013 {
	lab var pacs "civil unions"
	}
	lab var pav "last year occupation code"
	lab var pub3fp "public or privaty sector"
	lab var reg "region of residence"
	lab var rgi "individual wave"
	lab var sexe "sex"
	lab var sitant "last year labor force status"
	forvalues i=0(1)9 {
		lab var sp0`i' "labor force status `i' months ago"
		}
	lab var inscont "registered as unemployed"
	lab var chgtpost "task changement"
	lab var duhab "job schedule in hours"
	lab define duhab 1 "part-time $\leq 15$" 2 "part-time 15-29" 3 "part-time $\geq 30$" ///
	                  4 "full-time $\leq 30$" 5 "full-time 30-34" 6 "full-time 35-39" ///
					  7 "full-time $\geq 40$" 9 "no regular schedule", replace
	lab values duhab duhab
	lab var tppred "job schedule"
	lab define tppred 1 "full-time" 2 "part-time", replace
	lab values tppred tppred
	lab var etpp "last year job schedule"
	label var txtpp2 "part-time rate"
	label define txtpp2 1 "$\leq 50\%$"	2 "$50\%$" 3 "$50-80\%$" 4 "$80\%$" ///
	                    5 "$\geq 80\%$" 9 "not reported", replace
	label values txtpp2 txtpp2					
    label var raistp2 " reasons for part-time work"
	label define raistp2  1 "no chances to work more with this job" ///
	2 "other professional activities, education or training" ///
	3 "health" 4 "children or dependants" 5 "leisure or domestic work"  ///
	6 "other reasons", replace
	lab values raistp2 raistp2
	lab var hhc "average hours worked per week"
	lab var hhc_6 "average hours worked per week, ranges"
	lab define hhc_6 1 "$\leq 15$" 2 "$15-30$" 3 "$30-35$" 4 "$35-40$" 5 "$\geq 40$", replace
	lab values hhc_6 hhc_6 
	lab var hw2 "average hours worked per week, 2nd job"
	lab var revent "ranges of declared revenues"
	lab var salred "declared monthly wage"
	lab var samedic "working on saturday"
	lab var lprm "link with the hh"
	lab var speff "major of highest degree"
	forvalues j=1/3 {
		lab var rc1rev`j' "social benefit n. `j'"
		}
	lab var secteur "economic activity"
    lab var toccup  "type of occupation"     
	lab var etoccup "type of occupation last year" 
	lab var jourtr "avg number of days worked per week"
	lab var nbtot "average hours worked per week" 
	lab var urban "Urban area"
	
		save ${pathprogLFS`a'}\EC`a'_`m'.dta, replace
		} //foreach m
		} //foreach a
		
