
	set more off, perm
	
	do "pgm\000_Globals.do"
	
	global outcomesofinterest jourtr active2 tot_hours parttime wednesday thursday saturday ///
	lreal_hourly_wage lreal_monthly_salary
	
	foreach v in $outcomesofinterest {

	use ${pathprogLFS}\disECtriplediff0916.dta, clear
	drop ITTref5
	drop treatment5
	
	keep if woman==1
	
	global year_wave year_wave1 year_wave2 year_wave3 	year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave2 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave3 year_wave30 year_wave31 year_wave32 
	
	global year_wavewed year_wave17 year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 ///
	year_wave24 year_wave25 year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 

	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	g active2=active
	replace active2=. if  professeur==1

	
	gen  c_nbenf_miss= c_nbenfantf 
	replace c_nbenf_miss = 0 if c_nbenf_miss==.

	gen withchild=(c_nbenf_miss!=0)
	
if "`v'"=="wednesday" | "`v'"=="thursday"  | "`v'"=="saturday" {
	su `v' if withchild==1  & professeur==0	
	local TIT=round(r(N)/16)
    su `v' if withchild==0 & professeur==0
	local CIT=round(r(N)/16)
	}
	
if "`v'"=="active2" {	
	su `v' if withchild==1  	
	local TIT=round(r(N)/32)
    su `v' if withchild==0 
	local CIT=round(r(N)/32)
	}
		
else {
	su `v' if withchild==1  	& professeur==0
	local TIT=round(r(N)/32)
    su `v' if withchild==0 & professeur==0
	local CIT=round(r(N)/32)
	}
if "`v'"=="wednesday" | "`v'"=="thursday"  | "`v'"=="saturday" {
	parmby "reg `v' if  withchild==1 & professeur==0, cluster(code_insee)", by($year_wavewed) saving(${path}Graph`v'_trend1.dta, replace)
	parmby "reg `v' if  withchild==0 & professeur==0, cluster(code_insee)", by($year_wavewed) saving(${path}Graph`v'_trend0.dta, replace)
	}

if "`v'"=="active2" {	
	parmby "reg `v' if  withchild==1, cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend1.dta, replace)
	parmby "reg `v' if  withchild==0, cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend0.dta, replace)
	}

	else {	
	parmby "reg `v' if  withchild==1 & professeur==0 , cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend1.dta, replace)
	parmby "reg `v' if  withchild==0 & professeur==0,  cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend0.dta, replace)
	}

	use ${path}Graph`v'_trend1.dta, clear
	gen woman=1
	append using ${path}Graph`v'_trend0.dta
	replace woman=0 if woman!=1
	rename estimate `v'
	gen CIT=`CIT'
	gen TIT=`TIT'


if "`v'"=="wednesday" | "`v'"=="thursday"  | "`v'"=="saturday" {
gen quarter=17 if year_wave17==1
	forvalues i=18/32 {
	replace quarter=`i' if year_wave`i'==1
		}
	}
	
else {	

	gen quarter=1 if year_wave1==1
	forvalues i=2/32 {
	replace quarter=`i' if year_wave`i'==1
		}
	}
	
	drop year_wave* parmseq parm
	save ${path}Graph`v'_trend.dta, replace
	export excel using "${path}Graph`v'_trend_dis_withchild.xlsx", firstrow(variables) replace
	erase ${path}Graph`v'_trend.dta 
	erase ${path}Graph`v'_trend1.dta 
	erase ${path}Graph`v'_trend0.dta
	
	}
	
	
	***
	
	set more off, perm
	
	do "pgm\000_Globals.do"
	
	global outcomesofinterest jourtr active2 tot_hours parttime wednesday thursday saturday ///
	lreal_hourly_wage lreal_monthly_salary
	
	foreach v in $outcomesofinterest {

	use ${pathprogLFS}\disECtriplediff0916.dta, clear
	drop ITTref5
	drop treatment5
	
	keep if woman==1
	
	global year_wave year_wave1 year_wave2 year_wave3 	year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave2 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave3 year_wave30 year_wave31 year_wave32 
	
	global year_wavewed year_wave17 year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 ///
	year_wave24 year_wave25 year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 

	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	g active2=active
	replace active2=. if  professeur==1

	
	gen  c_nbenf_miss= c_nbenfantf 
	replace c_nbenf_miss = 0 if c_nbenf_miss==.

	gen withchild=(c_nbenf_miss!=0)
	
	drop if withchild
	
	gen less40=(age<=40)
	
if "`v'"=="wednesday" | "`v'"=="thursday"  | "`v'"=="saturday" {
	su `v' if less40==1  & professeur==0	
	local TIT=round(r(N)/16)
    su `v' if less40==0 & professeur==0
	local CIT=round(r(N)/16)
	}
	
if "`v'"=="active2" {	
	su `v' if less40==1  	
	local TIT=round(r(N)/32)
    su `v' if less40==0 
	local CIT=round(r(N)/32)
	}
		
else {
	su `v' if less40==1  	& professeur==0
	local TIT=round(r(N)/32)
    su `v' if less40==0 & professeur==0
	local CIT=round(r(N)/32)
	}
if "`v'"=="wednesday" | "`v'"=="thursday"  | "`v'"=="saturday" {
	parmby "reg `v' if  less40==1 & professeur==0, cluster(code_insee)", by($year_wavewed) saving(${path}Graph`v'_trend1.dta, replace)
	parmby "reg `v' if  less40==0 & professeur==0, cluster(code_insee)", by($year_wavewed) saving(${path}Graph`v'_trend0.dta, replace)
	}

if "`v'"=="active2" {	
	parmby "reg `v' if  less40==1, cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend1.dta, replace)
	parmby "reg `v' if  less40==0, cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend0.dta, replace)
	}

	else {	
	parmby "reg `v' if  less40==1 & professeur==0 , cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend1.dta, replace)
	parmby "reg `v' if  less40==0 & professeur==0,  cluster(code_insee)", by($year_wave) saving(${path}Graph`v'_trend0.dta, replace)
	}

	use ${path}Graph`v'_trend1.dta, clear
	gen woman=1
	append using ${path}Graph`v'_trend0.dta
	replace woman=0 if woman!=1
	rename estimate `v'
	gen CIT=`CIT'
	gen TIT=`TIT'


if "`v'"=="wednesday" | "`v'"=="thursday"  | "`v'"=="saturday" {
gen quarter=17 if year_wave17==1
	forvalues i=18/32 {
	replace quarter=`i' if year_wave`i'==1
		}
	}
	
else {	

	gen quarter=1 if year_wave1==1
	forvalues i=2/32 {
	replace quarter=`i' if year_wave`i'==1
		}
	}
	
	drop year_wave* parmseq parm
	save ${path}Graph`v'_trend.dta, replace
	export excel using "${path}Graph`v'_trend_dis_withoutchildage40.xlsx", firstrow(variables) replace
	erase ${path}Graph`v'_trend.dta 
	erase ${path}Graph`v'_trend1.dta 
	erase ${path}Graph`v'_trend0.dta
	
	}

