	set more off, perm
	global pathdofiles "C:\Users\Public\Documents\Dofiles"
	
	do ${pathdofiles}\000_Globals.do
forval a = 2009/2017 {
global a `a'
	do ${pathdofiles}\00_Globals_all.do

	*** LOOP FOR THE Man
	** school in city
forvalues j = 1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
		gen noicopy=noi
		destring noicopy, replace
		destring noiprm, force replace
	if `a'>=2013 {
		rename noicon noiconred
		}
		destring noiconred, force replace
	if `a' == 2011 | `a' >= 2013  {
			rename noiper noipered
			rename noimer noimered
			}
		keep if sexe==1 & nbenfa18!=0 & (noiprm==noicopy | noiprm==noiconred)
		duplicates drop ident, force
		keep $spec_var ident noi noiprm noiconred code_insee noipered noimered 
		sort code_insee
		merge m:1 code_insee using "$pathprogOTS\Cities_school_final.dta"
		keep if _merge ==3
		drop _merge
		sort ident noi 
		bysort ident: gen id=_n
												 */

		gen id2=ident+noi
		save ${pathprogLFS`a'}\temp_fathersECin`a'_`j'.dta, replace
		clear
		}
		
		** school out of city
forvalues j = 1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
		gen noicopy=noi
		destring noicopy, replace
		destring noiprm, force replace
	if `a'>=2013 {
		rename noicon noiconred
		}
		destring noiconred, force replace
		keep if sexe==1 & nbenfa18!=0 & (noiprm==noicopy | noiprm==noiconred)
		duplicates drop ident, force
	if `a' == 2011 | `a' >= 2013  {
			rename noiper noipered
			rename noimer noimered
			}
		keep $spec_var ident noi noiprm noiconred code_insee noipered  noimered 
		sort code_insee
		merge m:1 code_insee using "$pathprogOTS\Cities_school_final.dta"
		keep if _merge ==1
		drop _merge
		gen outofcity=1 
		drop $cityschool 
		merge m:1 code_insee using "$pathproggeo\Distances_School_Final.dta"
		keep if _merge==3
		drop _merge
		sort ident noi 
		bysort ident: gen id=_n

		gen id2=ident+noi
		save ${pathprogLFS`a'}\temp_fathersoutEC`a'_`j'.dta, replace
		clear
		}
		
forvalues j = 1/4 {
			use ${pathprogLFS`a'}\temp_fathersECin`a'_`j'.dta, clear
			append using ${pathprogLFS`a'}\temp_fathersoutEC`a'_`j'.dta
			save ${pathprogLFS`a'}\temp_fathersEC`a'_`j'.dta, replace
			}
		
		** LOOP FOR THE PARTNER
	
	forvalues j=1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
        gen noicopy=noi
		destring noicopy, force replace
		destring noiprm, replace
	if `a'>=2013 {
		rename noicon noiconred
		}
		destring noiconred, replace
		keep if sexe==2 & nbenfa18!=0 & (noiprm==noicopy | noiprm==noiconred)
		drop if ident==ident[_n+1] | ident==ident[_n-1]
		keep ${spec_var_partner} ident noi 
		foreach v in ${spec_var_partner} {
			rename `v' p_`v'
			}
			
		gen id_partner=ident+noi
		save ${pathprogLFS`a'}\temp_partnerEC`a'_`j'_men.dta, replace
		clear
		}
	
	
	** LOOP FOR THE CHILDREN
	
	
	forvalues j=1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
		foreach v in $noienf {
			destring `v', replace
			}
		*keep if age<18 & (lprm=="3" | lprm=="4") & nbenfa18!=0
		keep if age<18 & (lprm=="3") & nbenfa18!=0
	if `a' == 2011 | `a' >= 2013  {
			rename noiper noipered
			rename noimer noimered
			}
		keep $spec_var_children ident noi noipered noimered 
		gen id_children=ident+noi
		save ${pathprogLFS`a'}\temp_childrenEC`a'_`j'.dta, replace
		clear
		}
	
	forvalues j=1/4 {
	use ${pathprogLFS`a'}\temp_childrenEC`a'_`j'.dta, clear
	sort ident 
	by ident : gen nbenfant = _n
	by ident : gen nbenfantf = _N
	egen identb=group(ident)
	
	reshape wide noi* rgi prenom sexe age lprm ///
	ident id_children nbenfantf naia naim, i(identb) j(nbenfant)
	
if `a'< 2013 {
	local enf = 11
	}
	
if `a'>=2013 {
	local enf = 13
	}
	
	forvalues k=2/`enf' {
		cap drop ident`k' nbenfantf`k'
		}
	rename ident1 ident
	rename nbenfantf1 nbenfantf
	drop identb
	
	foreach v in $varchildren  {
		cap rename `v' c_`v'
		}
	
	save ${pathprogLFS`a'}\temp_childrenEC`a'_`j'.dta, replace
	clear
	}
	
    **** LOOP FOR OTHER MEMBERS ****
	
	
	forvalues j=1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
        gen noicopy=noi
		destring noicopy, force replace
		destring noiprm, replace
	if `a'>=2013 {
		rename noicon noiconred
		rename lienprm lien
		}
		destring noiconred, replace
		gen granparents=(lien=="2" & (noienf1=="" | noienf2=="" | noienf3==""| noienf4=="" ///
		| noienf5=="" | noienf6=="" | noienf7=="" |noienf8=="" |noienf9=="" ///
		|noienf10=="" |noienf11=="" |noienf12=="" |noienf13=="" |noienf14=="" )| ///
		lien=="3")
        gen autre_parente=(lien=="4")
        gen autre_membre=(lien=="5" | (lien=="6" & age>=18) | lien=="7")
        gen autre_enfant=(lien=="6" & age<18)
	
		keep if granparents==1 | autre_parente==1 | autre_membre==1 | autre_enfant==1 
		keep ${spec_var_partner} ident noi lien
		gen id_member=ident+noi
		save ${pathprogLFS`a'}\temp_memberEC`a'_`j'.dta, replace
		clear
		}
		
		
	forvalues j=1/4 {
	use ${pathprogLFS`a'}\temp_memberEC`a'_`j'.dta, clear
	sort ident 
	by ident : gen nmembers = _n
	by ident : gen nmembersf = _N
	egen identb=group(ident)
	
	reshape wide noi* rgi prenom sexe naia matri lien csa age pav ///
	p contra hhc raistp revent samedic cite_97 acteu_6 hhc_6 tppred ddipl ///
	duhab nat_28 extri extrid extridf immi lprm salred ident nmembersf id_member nbtot, i(identb) j(nmembers)
	
if `a'< 2013 {
	local memb = 6
	}
	
if `a'>=2013 {
	local memb = 12
	}
	
	forvalues k=2/`memb' {
		cap drop ident`k' nmembersf`k'
		}
	rename ident1 ident
	rename nmembersf1 nmembersf
	
	foreach v in ${varmember} {
		cap rename `v' m_`v'
		}
		
	drop identb
	save ${pathprogLFS`a'}\temp_memberEC`a'_`j'.dta, replace
	clear
	}

	******** MERGE FAMILY BY WAVES
	
		forvalues j=1/4 {
		use ${pathprogLFS`a'}\temp_fathersEC`a'_`j'.dta, clear
		merge m:1 ident using ${pathprogLFS`a'}\temp_partnerEC`a'_`j'_men.dta
		drop if _merge==2
		drop _merge
		merge m:1 ident using ${pathprogLFS`a'}\temp_childrenEC`a'_`j'.dta
		drop if _merge==2
		drop _merge 
		merge m:1 ident using ${pathprogLFS`a'}\temp_memberEC`a'_`j'.dta
		drop if _merge==2
		drop _merge 
		gen wave=`j'
		save ${pathprogLFS`a'}\temp_familyEC`a'_`j'_men.dta, replace
		}
	
	
	****** MERGE WAVES MEN
	
		use ${pathprogLFS`a'}\temp_familyEC`a'_1_men.dta, clear
		sort id2
		forvalues j=2/4 {
		append using ${pathprogLFS`a'}\temp_familyEC`a'_`j'_men.dta 
		}

	save ${pathprogLFS`a'}\temp_familyEC`a'_men.dta, replace	

  use ${pathprogLFS`a'}\temp_familyEC`a'_men.dta, clear
	destring noi, replace
			gen granpere=0
			gen granmere=0
			
if `a'< 2013 {
	local gd = 5
	}
	
if `a'>=2013 {
	local gd = 9
	}
			forvalues k=1/`gd' {
				replace granpere=1 if ///
	(m_lien`k'=="2" & noiprm==noi & m_sexe`k'==1 & m_age`k'>=40 | ///
	m_lien`k'=="3" & noiprm!=noi & noipered!="" & m_age`k'>=40)
				replace granmere=1 if ///
	(m_lien`k'=="2" & noiprm==noi & m_sexe`k'==2 & m_age`k'>=40 | ///
	m_lien`k'=="3" & noiprm!=noi & noimered!="" & m_age`k'>=40)
				}
		 	
			
			gen autre_m_m=0
			forvalues k=1/`gd' {
				replace autre_m_m= 1 if ///
				(m_lien`k'=="4" & m_sexe`k'==1 & m_age`k'>=18 | ///
				 m_lien`k'=="5" & m_sexe`k'==1 & m_age`k'>=18 | ///
				 m_lien`k'=="6" & m_sexe`k'==1 & m_age`k'>=18 | ///
				 m_lien`k'=="7" & m_sexe`k'==1 & m_age`k'>=18 | ///
m_lien`k'=="3" & noiprm!=noi & noipered=="" & m_sexe`k'==1 & m_age`k'>=18)
				}
		 	

			gen autre_f_m=0
			forvalues k=1/`gd' {
				replace autre_f_m= 1 if ///
				(m_lien`k'=="4" & m_sexe`k'==2 & m_age`k'>=18 | ///
				 m_lien`k'=="5" & m_sexe`k'==2 & m_age`k'>=18 | ///
				 m_lien`k'=="6" & m_sexe`k'==2 & m_age`k'>=18 | ///
				 m_lien`k'=="7" & m_sexe`k'==2 & m_age`k'>=18 | ///
m_lien`k'=="3" & noiprm!=noi & noimered=="" & m_sexe`k'==2 & m_age`k'>=18)
				}
		 	
			

	drop m_lien* m_sexe* noimered noipered
	
	gen year = `a'
	if $a > 2012 {
		destring rc1rev3, replace force
		}
	save ${pathprogLFS`a'}\temp_familyEC`a'_men.dta, replace	
	
	} // foreach a 
	
	use  ${pathprogLFS2009}\temp_familyEC2009_men.dta, clear
	forval b = 2010/2017 {
		append using  ${pathprogLFS`b'}\temp_familyEC`b'_men.dta
		di `b'
		
		}
	save  ${pathprogLFS}\menEC0917.dta, replace
// foreach a 

	
