	clear 
	set more off, perm
	


	
	import excel using "${pathprog}/qvalue_outcomes_postfirst.xlsx", firstrow clear
	
	destring coeff se, replace
	gen b=abs(coeff)
	gen pval = 2*(normal(-(b/se)))
	format pval %9.4f 
	
	do "$path/Dofiles/fdr_adapte.do"
			levelsof(var), local(names)
			foreach v of local names{
				sum qval if var=="`v'"
				sca qval`v' = r(mean)
				di " Q value pour `v' ="
				di qval`v'
			}	
			
	
	import excel using "${pathprog}/qvalue_outcomes_postfirst_days.xlsx", firstrow clear
	
	destring coeff se, replace
	gen b=abs(coeff)
	gen pval = 2*(normal(-(b/se)))
	format pval %9.4f 
	
	do "$path/Dofiles/fdr_adapte.do"
			levelsof(var), local(names)
			foreach v of local names{
				sum qval if var=="`v'"
				sca qval`v' = r(mean)
				di " Q value pour `v' ="
				di qval`v'
			}	
