set more off, perm
	global pathdofiles "C:\Users\Public\Documents\Dofiles"
	
	do ${pathdofiles}\000_Globals.do
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	keep if year<2017
	global pathsortie35 "C:\Users\Public\Documents\Sorties35\"	
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 
	global year_wavewed year_wave17 year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 ///
	year_wave24 year_wave25 year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32

	
	
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	cap drop ITTref2
		gen ITTref2=.
		replace ITTref2=1 if ITTref==1 & c_agemin>=2 & c_agemin<=5
		replace ITTref2=0 if c_agemin>=12 & c_agemin<=16
		gen treatment2=ITTref2*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
		la var ITTref2 "Ygst child btw 2-5"
		la var treatment2 "Treatment"
		
		cap drop ITTref211
		gen ITTref211=.
		replace ITTref211=1 if ITTref==1 
		replace ITTref211=0 if c_agemin>=12 & c_agemin<=16
		gen treatment211=ITTref211*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
		la var ITTref211 "Ygst child btw 2-11"
		la var treatment211 "Treatment"

	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))


	global groups 5 2 211
	
	
	foreach s in  high_edu  {	
		foreach x in $groups {
			  
		eststo: areg `s' treatment`x' ITTref`x' ///
		     age age2 single2 immigrant ///
               adult_m_members ///
	         adult_f_members young_members  ///
             $year_wave if jourtr!=. & parttime!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
	 local N_`x'_`s'=`e(N)' 
	parmest, label saving(${pathsortie35}Reg`x'_`s'.dta, replace)	 
	su `s' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& jourtr!=. & parttime!=. & ITTref`x'==1  & professeur==0
	local m_`x'_`s'=`r(mean)'

					}
					
						}
	

	foreach s in  high_edu {
		foreach x in $groups {
		use ${pathsortie35}Reg`x'_`s'.dta, clear
		rename estimate `s'
		gen N=`N_`x'_`s''
		keep if parm=="treatment`x'" | parm=="ITTref`x'" 
		gen Pretreat=`m_`x'_`s''
		save ${pathsortie35}Reg`x'_`s'.dta, replace
		export excel using "${pathsortie35}Reg`x'_`s'.xlsx", firstrow(variables) replace
		erase ${pathsortie35}Reg`x'_`s'.dta

							}
								}
															
															
